# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 2.8.0 required")
endif()
if(CMAKE_VERSION VERSION_LESS "2.8.12")
   message(FATAL_ERROR "CMake >= 2.8.12 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.8.12...3.27)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS MLIRAnalysis MLIRPresburger MLIRAsmParser MLIRAffineToStandard MLIRAMDGPUToROCDL MLIRArithmeticToLLVM MLIRArithmeticToSPIRV MLIRArmNeon2dToIntr MLIRAsyncToLLVM MLIRBufferizationToMemRef MLIRComplexToLLVM MLIRComplexToLibm MLIRComplexToStandard MLIRControlFlowToLLVM MLIRControlFlowToSPIRV MLIRFuncToLLVM MLIRFuncToSPIRV MLIRGPUToGPURuntimeTransforms MLIRGPUToNVVMTransforms MLIRGPUToROCDLTransforms MLIRGPUToSPIRV MLIRGPUToVulkanTransforms MLIRLinalgToLLVM MLIRLinalgToSPIRV MLIRLinalgToStandard MLIRLLVMCommonConversion MLIRMathToLibm MLIRMathToLLVM MLIRMathToSPIRV MLIRMemRefToLLVM MLIRMemRefToSPIRV MLIRNVGPUToNVVM MLIROpenACCToLLVM MLIROpenACCToSCF MLIROpenMPToLLVM MLIRPDLToPDLInterp MLIRReconcileUnrealizedCasts MLIRSCFToControlFlow MLIRSCFToGPU MLIRSCFToOpenMP MLIRSCFToSPIRV MLIRShapeToStandard MLIRSPIRVToLLVM MLIRTensorToLinalg MLIRTensorToSPIRV MLIRTosaToArith MLIRTosaToLinalg MLIRTosaToSCF MLIRTosaToTensor MLIRVectorToLLVM MLIRVectorToGPU MLIRVectorToSCF MLIRVectorToSPIRV MLIRAffineAnalysis MLIRAffineDialect MLIRAffineTransforms MLIRAffineUtils MLIRAMDGPUDialect MLIRArithmeticDialect MLIRArithmeticTransforms MLIRArithmeticUtils MLIRArmNeonDialect MLIRArmSVEDialect MLIRArmSVETransforms MLIRAsyncDialect MLIRAsyncTransforms MLIRAMXDialect MLIRAMXTransforms MLIRBufferizationDialect MLIRBufferizationTransformOps MLIRBufferizationTransforms MLIRComplexDialect MLIRControlFlowDialect MLIRDLTIDialect MLIREmitCDialect MLIRFuncDialect MLIRFuncTransforms MLIRGPUOps MLIRGPUTransforms MLIRLinalgAnalysis MLIRLinalgDialect MLIRLinalgTransformOps MLIRLinalgTransforms MLIRLinalgUtils MLIRLLVMIRTransforms MLIRLLVMDialect MLIRNVVMDialect MLIRROCDLDialect MLIRMathDialect MLIRMathTransforms MLIRMemRefDialect MLIRMemRefTransforms MLIRMemRefUtils MLIRMLProgramDialect MLIRNVGPUDialect MLIRNVGPUTransforms MLIROpenACCDialect MLIROpenMPDialect MLIRPDLDialect MLIRPDLInterpDialect MLIRQuantDialect MLIRQuantTransforms MLIRQuantUtils MLIRSCFDialect MLIRSCFTransformOps MLIRSCFTransforms MLIRSCFUtils MLIRShapeDialect MLIRShapeOpsTransforms MLIRSparseTensorDialect MLIRSparseTensorTransforms MLIRSparseTensorPipelines MLIRSparseTensorUtils MLIRSPIRVDialect MLIRSPIRVModuleCombiner MLIRSPIRVConversion MLIRSPIRVTransforms MLIRSPIRVUtils MLIRTensorDialect MLIRTensorInferTypeOpInterfaceImpl MLIRTensorTilingInterfaceImpl MLIRTensorTransforms MLIRTensorUtils MLIRTosaDialect MLIRTosaTransforms MLIRTransformDialect MLIRTransformDialectTransforms MLIRDialectUtils MLIRVectorDialect MLIRVectorTransforms MLIRVectorUtils MLIRX86VectorDialect MLIRX86VectorTransforms MLIRDialect MLIRIR MLIRCallInterfaces MLIRCastInterfaces MLIRControlFlowInterfaces MLIRCopyOpInterface MLIRDataLayoutInterfaces MLIRDerivedAttributeOpInterface MLIRInferIntRangeInterface MLIRInferTypeOpInterface MLIRParallelCombiningOpInterface MLIRSideEffectInterfaces MLIRTilingInterface MLIRVectorInterfaces MLIRViewLikeInterface MLIRLoopLikeInterface MLIRParser MLIRPass MLIRReduce MLIRRewrite MLIRSupport MLIRTableGen MLIRTargetCpp MLIRSPIRVDeserialization MLIRSPIRVSerialization MLIRSPIRVBinaryUtils MLIRSPIRVTranslateRegistration MLIRArmNeonToLLVMIRTranslation MLIRArmSVEToLLVMIRTranslation MLIRAMXToLLVMIRTranslation MLIRLLVMToLLVMIRTranslation MLIRNVVMToLLVMIRTranslation MLIROpenACCToLLVMIRTranslation MLIROpenMPToLLVMIRTranslation MLIRROCDLToLLVMIRTranslation MLIRX86VectorToLLVMIRTranslation MLIRTargetLLVMIRExport MLIRToLLVMIRTranslationRegistration MLIRTargetLLVMIRImport MLIRLspServerSupportLib MLIRLspServerLib MLIROptLib MLIRReduceLib MLIRTranslateLib MLIRPDLLAST MLIRPDLLCodeGen MLIRPDLLODS MLIRTransformUtils MLIRTransforms MLIRExecutionEngineUtils MLIRExecutionEngine MLIRJitRunner mlir_c_runner_utils mlir_runner_utils mlir_async_runtime MLIRCAPIDebug obj.MLIRCAPIDebug MLIRCAPIAsync obj.MLIRCAPIAsync MLIRCAPIControlFlow obj.MLIRCAPIControlFlow MLIRCAPIGPU obj.MLIRCAPIGPU MLIRCAPILLVM obj.MLIRCAPILLVM MLIRCAPILinalg obj.MLIRCAPILinalg MLIRCAPISCF obj.MLIRCAPISCF MLIRCAPIShape obj.MLIRCAPIShape MLIRCAPISparseTensor obj.MLIRCAPISparseTensor MLIRCAPIFunc obj.MLIRCAPIFunc MLIRCAPITensor obj.MLIRCAPITensor MLIRCAPIQuant obj.MLIRCAPIQuant MLIRCAPIPDL obj.MLIRCAPIPDL MLIRCAPIConversion obj.MLIRCAPIConversion MLIRCAPIInterfaces obj.MLIRCAPIInterfaces MLIRCAPIIR obj.MLIRCAPIIR MLIRCAPIRegisterEverything obj.MLIRCAPIRegisterEverything MLIRCAPITransforms obj.MLIRCAPITransforms MLIRCAPIExecutionEngine obj.MLIRCAPIExecutionEngine MLIRMlirOptMain MLIR)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target MLIRAnalysis
add_library(MLIRAnalysis STATIC IMPORTED)

set_target_properties(MLIRAnalysis PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCallInterfaces;MLIRControlFlowInterfaces;MLIRDataLayoutInterfaces;MLIRInferIntRangeInterface;MLIRInferTypeOpInterface;MLIRLoopLikeInterface;MLIRSideEffectInterfaces;MLIRViewLikeInterface;LLVM"
)

# Create imported target MLIRPresburger
add_library(MLIRPresburger STATIC IMPORTED)

set_target_properties(MLIRPresburger PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRSupport;LLVM"
)

# Create imported target MLIRAsmParser
add_library(MLIRAsmParser STATIC IMPORTED)

set_target_properties(MLIRAsmParser PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRAffineToStandard
add_library(MLIRAffineToStandard STATIC IMPORTED)

set_target_properties(MLIRAffineToStandard PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRAffineUtils;MLIRArithmeticDialect;MLIRIR;MLIRMemRefDialect;MLIRSCFDialect;MLIRPass;MLIRTransforms;MLIRVectorDialect;LLVM"
)

# Create imported target MLIRAMDGPUToROCDL
add_library(MLIRAMDGPUToROCDL STATIC IMPORTED)

set_target_properties(MLIRAMDGPUToROCDL PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRLLVMCommonConversion;MLIRLLVMDialect;MLIRROCDLDialect;MLIRAMDGPUDialect;MLIRPass;MLIRTransforms;LLVM"
)

# Create imported target MLIRArithmeticToLLVM
add_library(MLIRArithmeticToLLVM STATIC IMPORTED)

set_target_properties(MLIRArithmeticToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRLLVMCommonConversion;MLIRLLVMDialect;LLVM"
)

# Create imported target MLIRArithmeticToSPIRV
add_library(MLIRArithmeticToSPIRV STATIC IMPORTED)

set_target_properties(MLIRArithmeticToSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRFuncToSPIRV;MLIRSPIRVConversion;MLIRSPIRVDialect;LLVM"
)

# Create imported target MLIRArmNeon2dToIntr
add_library(MLIRArmNeon2dToIntr STATIC IMPORTED)

set_target_properties(MLIRArmNeon2dToIntr PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRArmNeonDialect;MLIRPass;MLIRTransforms;MLIRIR;MLIRVectorDialect;LLVM"
)

# Create imported target MLIRAsyncToLLVM
add_library(MLIRAsyncToLLVM STATIC IMPORTED)

set_target_properties(MLIRAsyncToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRAsyncDialect;MLIRFuncToLLVM;MLIRFuncTransforms;MLIRLLVMCommonConversion;MLIRLLVMDialect;MLIRTransforms;LLVM"
)

# Create imported target MLIRBufferizationToMemRef
add_library(MLIRBufferizationToMemRef STATIC IMPORTED)

set_target_properties(MLIRBufferizationToMemRef PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRBufferizationDialect;MLIRPass;MLIRTransforms;LLVM"
)

# Create imported target MLIRComplexToLLVM
add_library(MLIRComplexToLLVM STATIC IMPORTED)

set_target_properties(MLIRComplexToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRComplexDialect;MLIRLLVMCommonConversion;MLIRLLVMDialect;MLIRTransforms;LLVM"
)

# Create imported target MLIRComplexToLibm
add_library(MLIRComplexToLibm STATIC IMPORTED)

set_target_properties(MLIRComplexToLibm PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRDialectUtils;MLIRFuncDialect;MLIRComplexDialect;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRComplexToStandard
add_library(MLIRComplexToStandard STATIC IMPORTED)

set_target_properties(MLIRComplexToStandard PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRComplexDialect;MLIRIR;MLIRMathDialect;MLIRTransforms;LLVM"
)

# Create imported target MLIRControlFlowToLLVM
add_library(MLIRControlFlowToLLVM STATIC IMPORTED)

set_target_properties(MLIRControlFlowToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAnalysis;MLIRControlFlowDialect;MLIRLLVMCommonConversion;MLIRLLVMDialect;MLIRPass;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRControlFlowToSPIRV
add_library(MLIRControlFlowToSPIRV STATIC IMPORTED)

set_target_properties(MLIRControlFlowToSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRControlFlowDialect;MLIRPass;MLIRSPIRVDialect;MLIRSPIRVConversion;MLIRSupport;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRFuncToLLVM
add_library(MLIRFuncToLLVM STATIC IMPORTED)

set_target_properties(MLIRFuncToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAnalysis;MLIRArithmeticToLLVM;MLIRControlFlowToLLVM;MLIRDataLayoutInterfaces;MLIRFuncDialect;MLIRLLVMCommonConversion;MLIRLLVMDialect;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRFuncToSPIRV
add_library(MLIRFuncToSPIRV STATIC IMPORTED)

set_target_properties(MLIRFuncToSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRFuncDialect;MLIRIR;MLIRPass;MLIRSPIRVDialect;MLIRSPIRVConversion;MLIRSupport;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRGPUToGPURuntimeTransforms
add_library(MLIRGPUToGPURuntimeTransforms STATIC IMPORTED)

set_target_properties(MLIRGPUToGPURuntimeTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticToLLVM;MLIRAsyncToLLVM;MLIRControlFlowToLLVM;MLIRFuncToLLVM;MLIRGPUTransforms;MLIRIR;MLIRLLVMCommonConversion;MLIRLLVMDialect;MLIRMemRefToLLVM;MLIRPass;MLIRSupport;MLIRVectorToLLVM;LLVM"
)

# Create imported target MLIRGPUToNVVMTransforms
add_library(MLIRGPUToNVVMTransforms STATIC IMPORTED)

set_target_properties(MLIRGPUToNVVMTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticToLLVM;MLIRFuncToLLVM;MLIRGPUOps;MLIRGPUToGPURuntimeTransforms;MLIRLLVMCommonConversion;MLIRLLVMDialect;MLIRMemRefToLLVM;MLIRNVVMDialect;MLIRPass;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRGPUToROCDLTransforms
add_library(MLIRGPUToROCDLTransforms STATIC IMPORTED)

set_target_properties(MLIRGPUToROCDLTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticToLLVM;MLIRAMDGPUToROCDL;MLIRFuncToLLVM;MLIRGPUOps;MLIRGPUToGPURuntimeTransforms;MLIRLLVMCommonConversion;MLIRLLVMDialect;MLIRMemRefToLLVM;MLIRROCDLDialect;MLIRPass;LLVM"
)

# Create imported target MLIRGPUToSPIRV
add_library(MLIRGPUToSPIRV STATIC IMPORTED)

set_target_properties(MLIRGPUToSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticToSPIRV;MLIRGPUOps;MLIRFuncToSPIRV;MLIRIR;MLIRPass;MLIRSCFToSPIRV;MLIRSPIRVDialect;MLIRSPIRVConversion;MLIRSupport;MLIRTransforms;LLVM"
)

# Create imported target MLIRGPUToVulkanTransforms
add_library(MLIRGPUToVulkanTransforms STATIC IMPORTED)

set_target_properties(MLIRGPUToVulkanTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRFuncDialect;MLIRGPUOps;MLIRIR;MLIRLLVMDialect;MLIRPass;MLIRSPIRVDialect;MLIRSPIRVSerialization;MLIRSupport;MLIRTransforms;MLIRTranslateLib;LLVM"
)

# Create imported target MLIRLinalgToLLVM
add_library(MLIRLinalgToLLVM STATIC IMPORTED)

set_target_properties(MLIRLinalgToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineToStandard;MLIRIR;MLIRLinalgDialect;MLIRLLVMCommonConversion;MLIRLLVMDialect;MLIRMemRefToLLVM;MLIRSCFToControlFlow;MLIRTransforms;MLIRVectorToLLVM;MLIRVectorToSCF;LLVM"
)

# Create imported target MLIRLinalgToSPIRV
add_library(MLIRLinalgToSPIRV STATIC IMPORTED)

set_target_properties(MLIRLinalgToSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLinalgDialect;MLIRLinalgUtils;MLIRPass;MLIRSPIRVDialect;MLIRSPIRVConversion;MLIRSupport;LLVM"
)

# Create imported target MLIRLinalgToStandard
add_library(MLIRLinalgToStandard STATIC IMPORTED)

set_target_properties(MLIRLinalgToStandard PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRFuncDialect;MLIRIR;MLIRLinalgDialect;MLIRMemRefDialect;MLIRPass;MLIRSCFDialect;MLIRTransforms;LLVM"
)

# Create imported target MLIRLLVMCommonConversion
add_library(MLIRLLVMCommonConversion STATIC IMPORTED)

set_target_properties(MLIRLLVMCommonConversion PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMDialect;MLIRSupport;MLIRTransforms;LLVM"
)

# Create imported target MLIRMathToLibm
add_library(MLIRMathToLibm STATIC IMPORTED)

set_target_properties(MLIRMathToLibm PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRDialectUtils;MLIRFuncDialect;MLIRMathDialect;MLIRTransformUtils;MLIRVectorDialect;MLIRVectorUtils;LLVM"
)

# Create imported target MLIRMathToLLVM
add_library(MLIRMathToLLVM STATIC IMPORTED)

set_target_properties(MLIRMathToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRLLVMCommonConversion;MLIRLLVMDialect;MLIRMathDialect;MLIRPass;MLIRTransforms;LLVM"
)

# Create imported target MLIRMathToSPIRV
add_library(MLIRMathToSPIRV STATIC IMPORTED)

set_target_properties(MLIRMathToSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRMathDialect;MLIRPass;MLIRSPIRVDialect;MLIRSPIRVConversion;MLIRSupport;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRMemRefToLLVM
add_library(MLIRMemRefToLLVM STATIC IMPORTED)

set_target_properties(MLIRMemRefToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAnalysis;MLIRDataLayoutInterfaces;MLIRLLVMCommonConversion;MLIRMemRefDialect;MLIRLLVMDialect;MLIRTransforms;LLVM"
)

# Create imported target MLIRMemRefToSPIRV
add_library(MLIRMemRefToSPIRV STATIC IMPORTED)

set_target_properties(MLIRMemRefToSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRMemRefDialect;MLIRPass;MLIRSPIRVDialect;MLIRSPIRVConversion;MLIRSupport;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRNVGPUToNVVM
add_library(MLIRNVGPUToNVVM STATIC IMPORTED)

set_target_properties(MLIRNVGPUToNVVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRGPUOps;MLIRLLVMCommonConversion;MLIRLLVMDialect;MLIRNVVMDialect;MLIRNVGPUDialect;MLIRPass;MLIRTransforms;LLVM"
)

# Create imported target MLIROpenACCToLLVM
add_library(MLIROpenACCToLLVM STATIC IMPORTED)

set_target_properties(MLIROpenACCToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMDialect;MLIRMemRefToLLVM;MLIROpenACCDialect;MLIRTransforms;LLVM"
)

# Create imported target MLIROpenACCToSCF
add_library(MLIROpenACCToSCF STATIC IMPORTED)

set_target_properties(MLIROpenACCToSCF PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRIR;MLIROpenACCDialect;MLIRSCFDialect;MLIRTransforms;LLVM"
)

# Create imported target MLIROpenMPToLLVM
add_library(MLIROpenMPToLLVM STATIC IMPORTED)

set_target_properties(MLIROpenMPToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticToLLVM;MLIRFuncToLLVM;MLIRIR;MLIRLLVMCommonConversion;MLIRLLVMDialect;MLIRMemRefToLLVM;MLIROpenMPDialect;MLIRTransforms;LLVM"
)

# Create imported target MLIRPDLToPDLInterp
add_library(MLIRPDLToPDLInterp STATIC IMPORTED)

set_target_properties(MLIRPDLToPDLInterp PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRInferTypeOpInterface;MLIRPDLDialect;MLIRPDLInterpDialect;MLIRPass;LLVM"
)

# Create imported target MLIRReconcileUnrealizedCasts
add_library(MLIRReconcileUnrealizedCasts STATIC IMPORTED)

set_target_properties(MLIRReconcileUnrealizedCasts PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRTransforms;LLVM"
)

# Create imported target MLIRSCFToControlFlow
add_library(MLIRSCFToControlFlow STATIC IMPORTED)

set_target_properties(MLIRSCFToControlFlow PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRControlFlowDialect;MLIRSCFDialect;MLIRTransforms;LLVM"
)

# Create imported target MLIRSCFToGPU
add_library(MLIRSCFToGPU STATIC IMPORTED)

set_target_properties(MLIRSCFToGPU PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRAffineToStandard;MLIRArithmeticDialect;MLIRComplexDialect;MLIRGPUTransforms;MLIRIR;MLIRLinalgDialect;MLIRMemRefDialect;MLIRPass;MLIRSupport;MLIRTransforms;LLVM"
)

# Create imported target MLIRSCFToOpenMP
add_library(MLIRSCFToOpenMP STATIC IMPORTED)

set_target_properties(MLIRSCFToOpenMP PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAnalysis;MLIRArithmeticDialect;MLIRLLVMDialect;MLIROpenMPDialect;MLIRSCFDialect;MLIRTransforms;LLVM"
)

# Create imported target MLIRSCFToSPIRV
add_library(MLIRSCFToSPIRV STATIC IMPORTED)

set_target_properties(MLIRSCFToSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticToSPIRV;MLIRFuncToSPIRV;MLIRMemRefToSPIRV;MLIRSPIRVDialect;MLIRSPIRVConversion;MLIRIR;MLIRPass;MLIRSCFDialect;MLIRSupport;MLIRTransforms;LLVM"
)

# Create imported target MLIRShapeToStandard
add_library(MLIRShapeToStandard STATIC IMPORTED)

set_target_properties(MLIRShapeToStandard PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRIR;MLIRShapeDialect;MLIRTensorDialect;MLIRPass;MLIRSCFDialect;MLIRTransforms;LLVM"
)

# Create imported target MLIRSPIRVToLLVM
add_library(MLIRSPIRVToLLVM STATIC IMPORTED)

set_target_properties(MLIRSPIRVToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticToLLVM;MLIRFuncToLLVM;MLIRGPUOps;MLIRIR;MLIRLLVMCommonConversion;MLIRLLVMDialect;MLIRMemRefToLLVM;MLIRSPIRVDialect;MLIRSPIRVUtils;MLIRTransforms;LLVM"
)

# Create imported target MLIRTensorToLinalg
add_library(MLIRTensorToLinalg STATIC IMPORTED)

set_target_properties(MLIRTensorToLinalg PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRPass;MLIRLinalgDialect;MLIRLinalgTransforms;MLIRSupport;MLIRTransformUtils;MLIRTensorDialect;LLVM"
)

# Create imported target MLIRTensorToSPIRV
add_library(MLIRTensorToSPIRV STATIC IMPORTED)

set_target_properties(MLIRTensorToSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticToSPIRV;MLIRFuncToSPIRV;MLIRIR;MLIRPass;MLIRSPIRVDialect;MLIRSPIRVConversion;MLIRSupport;MLIRTransformUtils;MLIRTensorDialect;LLVM"
)

# Create imported target MLIRTosaToArith
add_library(MLIRTosaToArith STATIC IMPORTED)

set_target_properties(MLIRTosaToArith PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRIR;MLIRPass;MLIRTosaDialect;MLIRTosaTransforms;MLIRSupport;LLVM"
)

# Create imported target MLIRTosaToLinalg
add_library(MLIRTosaToLinalg STATIC IMPORTED)

set_target_properties(MLIRTosaToLinalg PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRDialectUtils;MLIRIR;MLIRLinalgDialect;MLIRLinalgUtils;MLIRMathDialect;MLIRPass;MLIRTensorDialect;MLIRTransforms;MLIRTosaDialect;MLIRTosaTransforms;MLIRSupport;LLVM"
)

# Create imported target MLIRTosaToSCF
add_library(MLIRTosaToSCF STATIC IMPORTED)

set_target_properties(MLIRTosaToSCF PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSCFDialect;MLIRPass;MLIRTensorDialect;MLIRTosaDialect;MLIRTosaTransforms;MLIRSupport;LLVM"
)

# Create imported target MLIRTosaToTensor
add_library(MLIRTosaToTensor STATIC IMPORTED)

set_target_properties(MLIRTosaToTensor PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRTensorDialect;MLIRIR;MLIRPass;MLIRTosaDialect;MLIRTosaTransforms;MLIRSupport;LLVM"
)

# Create imported target MLIRVectorToLLVM
add_library(MLIRVectorToLLVM STATIC IMPORTED)

set_target_properties(MLIRVectorToLLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRArmNeonDialect;MLIRArmSVEDialect;MLIRArmSVETransforms;MLIRAMXDialect;MLIRAMXTransforms;MLIRLLVMCommonConversion;MLIRLLVMDialect;MLIRMemRefDialect;MLIRTargetLLVMIRExport;MLIRTransforms;MLIRVectorDialect;MLIRVectorTransforms;MLIRX86VectorDialect;MLIRX86VectorTransforms;LLVM"
)

# Create imported target MLIRVectorToGPU
add_library(MLIRVectorToGPU STATIC IMPORTED)

set_target_properties(MLIRVectorToGPU PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRGPUOps;MLIRLLVMDialect;MLIRMemRefDialect;MLIRNVGPUDialect;MLIRTransforms;MLIRVectorDialect;MLIRVectorUtils;LLVM"
)

# Create imported target MLIRVectorToSCF
add_library(MLIRVectorToSCF STATIC IMPORTED)

set_target_properties(MLIRVectorToSCF PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRLLVMDialect;MLIRMemRefDialect;MLIRTransforms;MLIRVectorDialect;MLIRVectorTransforms;LLVM"
)

# Create imported target MLIRVectorToSPIRV
add_library(MLIRVectorToSPIRV STATIC IMPORTED)

set_target_properties(MLIRVectorToSPIRV PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRSPIRVDialect;MLIRSPIRVConversion;MLIRVectorDialect;MLIRTransforms;LLVM"
)

# Create imported target MLIRAffineAnalysis
add_library(MLIRAffineAnalysis STATIC IMPORTED)

set_target_properties(MLIRAffineAnalysis PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRAnalysis;MLIRCallInterfaces;MLIRControlFlowInterfaces;MLIRInferTypeOpInterface;MLIRPresburger;MLIRSCFDialect;LLVM"
)

# Create imported target MLIRAffineDialect
add_library(MLIRAffineDialect STATIC IMPORTED)

set_target_properties(MLIRAffineDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRIR;MLIRLoopLikeInterface;MLIRMemRefDialect;MLIRSideEffectInterfaces;MLIRTensorDialect;LLVM"
)

# Create imported target MLIRAffineTransforms
add_library(MLIRAffineTransforms STATIC IMPORTED)

set_target_properties(MLIRAffineTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRAffineAnalysis;MLIRAffineUtils;MLIRArithmeticDialect;MLIRIR;MLIRMemRefDialect;MLIRPass;MLIRSCFUtils;MLIRSideEffectInterfaces;MLIRTransformUtils;MLIRVectorDialect;MLIRVectorUtils;MLIRVectorToLLVM;LLVM"
)

# Create imported target MLIRAffineUtils
add_library(MLIRAffineUtils STATIC IMPORTED)

set_target_properties(MLIRAffineUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRAffineAnalysis;MLIRAnalysis;MLIRMemRefDialect;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRAMDGPUDialect
add_library(MLIRAMDGPUDialect STATIC IMPORTED)

set_target_properties(MLIRAMDGPUDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRArithmeticDialect
add_library(MLIRArithmeticDialect STATIC IMPORTED)

set_target_properties(MLIRArithmeticDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRDialect;MLIRInferIntRangeInterface;MLIRInferTypeOpInterface;MLIRIR;LLVM"
)

# Create imported target MLIRArithmeticTransforms
add_library(MLIRArithmeticTransforms STATIC IMPORTED)

set_target_properties(MLIRArithmeticTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAnalysis;MLIRArithmeticDialect;MLIRBufferizationDialect;MLIRBufferizationTransforms;MLIRInferIntRangeInterface;MLIRIR;MLIRMemRefDialect;MLIRPass;MLIRTransforms;LLVM"
)

# Create imported target MLIRArithmeticUtils
add_library(MLIRArithmeticUtils STATIC IMPORTED)

set_target_properties(MLIRArithmeticUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRDialect;MLIRIR;LLVM"
)

# Create imported target MLIRArmNeonDialect
add_library(MLIRArmNeonDialect STATIC IMPORTED)

set_target_properties(MLIRArmNeonDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRArmSVEDialect
add_library(MLIRArmSVEDialect STATIC IMPORTED)

set_target_properties(MLIRArmSVEDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMDialect;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRArmSVETransforms
add_library(MLIRArmSVETransforms STATIC IMPORTED)

set_target_properties(MLIRArmSVETransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArmSVEDialect;MLIRFuncDialect;MLIRIR;MLIRLLVMCommonConversion;MLIRLLVMDialect;LLVM"
)

# Create imported target MLIRAsyncDialect
add_library(MLIRAsyncDialect STATIC IMPORTED)

set_target_properties(MLIRAsyncDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRControlFlowInterfaces;MLIRDialect;MLIRInferTypeOpInterface;MLIRIR;LLVM"
)

# Create imported target MLIRAsyncTransforms
add_library(MLIRAsyncTransforms STATIC IMPORTED)

set_target_properties(MLIRAsyncTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRAsyncDialect;MLIRFuncDialect;MLIRIR;MLIRPass;MLIRSCFDialect;MLIRSCFToControlFlow;MLIRTransforms;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRAMXDialect
add_library(MLIRAMXDialect STATIC IMPORTED)

set_target_properties(MLIRAMXDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMDialect;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRAMXTransforms
add_library(MLIRAMXTransforms STATIC IMPORTED)

set_target_properties(MLIRAMXTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAMXDialect;MLIRIR;MLIRLLVMCommonConversion;MLIRLLVMDialect;LLVM"
)

# Create imported target MLIRBufferizationDialect
add_library(MLIRBufferizationDialect STATIC IMPORTED)

set_target_properties(MLIRBufferizationDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRDialect;MLIRFuncDialect;MLIRIR;MLIRSparseTensorDialect;MLIRTensorDialect;MLIRMemRefDialect;LLVM"
)

# Create imported target MLIRBufferizationTransformOps
add_library(MLIRBufferizationTransformOps STATIC IMPORTED)

set_target_properties(MLIRBufferizationTransformOps PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRBufferizationDialect;MLIRBufferizationTransforms;MLIRParser;MLIRPDLDialect;MLIRSideEffectInterfaces;MLIRTransformDialect;LLVM"
)

# Create imported target MLIRBufferizationTransforms
add_library(MLIRBufferizationTransforms STATIC IMPORTED)

set_target_properties(MLIRBufferizationTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRBufferizationDialect;MLIRControlFlowInterfaces;MLIRFuncDialect;MLIRInferTypeOpInterface;MLIRIR;MLIRMemRefDialect;MLIRPass;MLIRTensorDialect;MLIRTransforms;LLVM"
)

# Create imported target MLIRComplexDialect
add_library(MLIRComplexDialect STATIC IMPORTED)

set_target_properties(MLIRComplexDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRDialect;MLIRInferTypeOpInterface;MLIRIR;LLVM"
)

# Create imported target MLIRControlFlowDialect
add_library(MLIRControlFlowDialect STATIC IMPORTED)

set_target_properties(MLIRControlFlowDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRControlFlowInterfaces;MLIRIR;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRDLTIDialect
add_library(MLIRDLTIDialect STATIC IMPORTED)

set_target_properties(MLIRDLTIDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRDataLayoutInterfaces;LLVM"
)

# Create imported target MLIREmitCDialect
add_library(MLIREmitCDialect STATIC IMPORTED)

set_target_properties(MLIREmitCDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCastInterfaces;MLIRIR;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRFuncDialect
add_library(MLIRFuncDialect STATIC IMPORTED)

set_target_properties(MLIRFuncDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCallInterfaces;MLIRControlFlowDialect;MLIRControlFlowInterfaces;MLIRInferTypeOpInterface;MLIRIR;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRFuncTransforms
add_library(MLIRFuncTransforms STATIC IMPORTED)

set_target_properties(MLIRFuncTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRArithmeticTransforms;MLIRBufferizationDialect;MLIRBufferizationTransforms;MLIRFuncDialect;MLIRIR;MLIRMemRefDialect;MLIRPass;MLIRSCFDialect;MLIRTransforms;LLVM"
)

# Create imported target MLIRGPUOps
add_library(MLIRGPUOps STATIC IMPORTED)

set_target_properties(MLIRGPUOps PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRDLTIDialect;MLIRInferIntRangeInterface;MLIRIR;MLIRMemRefDialect;MLIRSideEffectInterfaces;MLIRSupport;LLVM"
)

# Create imported target MLIRGPUTransforms
add_library(MLIRGPUTransforms STATIC IMPORTED)

set_target_properties(MLIRGPUTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineUtils;MLIRArithmeticDialect;MLIRAsyncDialect;MLIRDataLayoutInterfaces;MLIRExecutionEngineUtils;MLIRGPUOps;MLIRIR;MLIRLLVMDialect;MLIRLLVMToLLVMIRTranslation;MLIRMemRefDialect;MLIRPass;MLIRSCFDialect;MLIRSupport;MLIRTransformUtils;LLVM;\$<LINK_ONLY:MLIRExecutionEngine>;\$<LINK_ONLY:MLIRROCDLToLLVMIRTranslation>"
)

# Create imported target MLIRLinalgAnalysis
add_library(MLIRLinalgAnalysis STATIC IMPORTED)

set_target_properties(MLIRLinalgAnalysis PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineAnalysis;MLIRAnalysis;MLIRIR;MLIRLinalgDialect;MLIRMemRefDialect;LLVM"
)

# Create imported target MLIRLinalgDialect
add_library(MLIRLinalgDialect STATIC IMPORTED)

set_target_properties(MLIRLinalgDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRArithmeticDialect;MLIRBufferizationDialect;MLIRDialectUtils;MLIRInferTypeOpInterface;MLIRIR;MLIRParser;MLIRSideEffectInterfaces;MLIRSparseTensorDialect;MLIRSCFDialect;MLIRMathDialect;MLIRMemRefDialect;MLIRTensorDialect;MLIRTilingInterface;MLIRViewLikeInterface;LLVM"
)

# Create imported target MLIRLinalgTransformOps
add_library(MLIRLinalgTransformOps STATIC IMPORTED)

set_target_properties(MLIRLinalgTransformOps PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRArithmeticDialect;MLIRIR;MLIRLinalgDialect;MLIRLinalgTransforms;MLIRParser;MLIRPDLDialect;MLIRSCFDialect;MLIRSideEffectInterfaces;MLIRTransformDialect;MLIRVectorDialect;LLVM"
)

# Create imported target MLIRLinalgTransforms
add_library(MLIRLinalgTransforms STATIC IMPORTED)

set_target_properties(MLIRLinalgTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRAffineUtils;MLIRAnalysis;MLIRArithmeticDialect;MLIRArithmeticTransforms;MLIRArithmeticUtils;MLIRBufferizationDialect;MLIRBufferizationTransforms;MLIRComplexDialect;MLIRDialectUtils;MLIRFuncDialect;MLIRFuncToLLVM;MLIRFuncTransforms;MLIRInferTypeOpInterface;MLIRIR;MLIRMemRefDialect;MLIRLinalgDialect;MLIRLinalgAnalysis;MLIRLinalgUtils;MLIRSCFDialect;MLIRSCFTransforms;MLIRSCFUtils;MLIRPass;MLIRSparseTensorDialect;MLIRTensorDialect;MLIRTensorTilingInterfaceImpl;MLIRTensorTransforms;MLIRTransforms;MLIRTransformUtils;MLIRVectorDialect;MLIRVectorTransforms;MLIRVectorUtils;MLIRX86VectorTransforms;MLIRVectorToSCF;LLVM"
)

# Create imported target MLIRLinalgUtils
add_library(MLIRLinalgUtils STATIC IMPORTED)

set_target_properties(MLIRLinalgUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRAffineAnalysis;MLIRAffineUtils;MLIRArithmeticDialect;MLIRFuncDialect;MLIRIR;MLIRLinalgDialect;MLIRSCFDialect;MLIRPass;MLIRTensorUtils;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRLLVMIRTransforms
add_library(MLIRLLVMIRTransforms STATIC IMPORTED)

set_target_properties(MLIRLLVMIRTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRFuncDialect;MLIRLLVMDialect;MLIRPass;MLIRTransforms;MLIRNVVMDialect;LLVM"
)

# Create imported target MLIRLLVMDialect
add_library(MLIRLLVMDialect STATIC IMPORTED)

set_target_properties(MLIRLLVMDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCallInterfaces;MLIRControlFlowInterfaces;MLIRDataLayoutInterfaces;MLIRInferTypeOpInterface;MLIRIR;MLIRSideEffectInterfaces;MLIRSupport;LLVM"
)

# Create imported target MLIRNVVMDialect
add_library(MLIRNVVMDialect STATIC IMPORTED)

set_target_properties(MLIRNVVMDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMDialect;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRROCDLDialect
add_library(MLIRROCDLDialect STATIC IMPORTED)

set_target_properties(MLIRROCDLDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSideEffectInterfaces;MLIRVectorToLLVM;LLVM"
)

# Create imported target MLIRMathDialect
add_library(MLIRMathDialect STATIC IMPORTED)

set_target_properties(MLIRMathDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRDialect;MLIRIR;LLVM"
)

# Create imported target MLIRMathTransforms
add_library(MLIRMathTransforms STATIC IMPORTED)

set_target_properties(MLIRMathTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRDialectUtils;MLIRIR;MLIRMathDialect;MLIRPass;MLIRTransforms;MLIRX86VectorDialect;MLIRVectorDialect;MLIRVectorUtils;LLVM"
)

# Create imported target MLIRMemRefDialect
add_library(MLIRMemRefDialect STATIC IMPORTED)

set_target_properties(MLIRMemRefDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRArithmeticUtils;MLIRControlFlowInterfaces;MLIRDialect;MLIRDialectUtils;MLIRInferTypeOpInterface;MLIRIR;MLIRSideEffectInterfaces;MLIRViewLikeInterface;LLVM"
)

# Create imported target MLIRMemRefTransforms
add_library(MLIRMemRefTransforms STATIC IMPORTED)

set_target_properties(MLIRMemRefTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRAffineUtils;MLIRArithmeticDialect;MLIRFuncDialect;MLIRInferTypeOpInterface;MLIRLoopLikeInterface;MLIRMemRefDialect;MLIRPass;MLIRTensorDialect;MLIRTransforms;MLIRVectorDialect;LLVM"
)

# Create imported target MLIRMemRefUtils
add_library(MLIRMemRefUtils STATIC IMPORTED)

set_target_properties(MLIRMemRefUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "LLVM"
)

# Create imported target MLIRMLProgramDialect
add_library(MLIRMLProgramDialect STATIC IMPORTED)

set_target_properties(MLIRMLProgramDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRDialect;MLIRInferTypeOpInterface;MLIRIR;LLVM"
)

# Create imported target MLIRNVGPUDialect
add_library(MLIRNVGPUDialect STATIC IMPORTED)

set_target_properties(MLIRNVGPUDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRGPUOps;MLIRIR;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRNVGPUTransforms
add_library(MLIRNVGPUTransforms STATIC IMPORTED)

set_target_properties(MLIRNVGPUTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRGPUOps;MLIRIR;MLIRMemRefDialect;MLIRNVGPUDialect;MLIRPass;MLIRTransforms;MLIRVectorDialect;MLIRVectorUtils;LLVM"
)

# Create imported target MLIROpenACCDialect
add_library(MLIROpenACCDialect STATIC IMPORTED)

set_target_properties(MLIROpenACCDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIROpenMPDialect
add_library(MLIROpenMPDialect STATIC IMPORTED)

set_target_properties(MLIROpenMPDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMDialect;LLVM"
)

# Create imported target MLIRPDLDialect
add_library(MLIRPDLDialect STATIC IMPORTED)

set_target_properties(MLIRPDLDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRInferTypeOpInterface;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRPDLInterpDialect
add_library(MLIRPDLInterpDialect STATIC IMPORTED)

set_target_properties(MLIRPDLInterpDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRPDLDialect;MLIRInferTypeOpInterface;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRQuantDialect
add_library(MLIRQuantDialect STATIC IMPORTED)

set_target_properties(MLIRQuantDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRInferTypeOpInterface;MLIRSideEffectInterfaces;MLIRSupport;LLVM"
)

# Create imported target MLIRQuantTransforms
add_library(MLIRQuantTransforms STATIC IMPORTED)

set_target_properties(MLIRQuantTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRFuncDialect;MLIRIR;MLIRQuantDialect;MLIRQuantUtils;MLIRPass;MLIRSupport;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRQuantUtils
add_library(MLIRQuantUtils STATIC IMPORTED)

set_target_properties(MLIRQuantUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRQuantDialect;MLIRSupport;LLVM"
)

# Create imported target MLIRSCFDialect
add_library(MLIRSCFDialect STATIC IMPORTED)

set_target_properties(MLIRSCFDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRBufferizationDialect;MLIRControlFlowDialect;MLIRIR;MLIRLoopLikeInterface;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRSCFTransformOps
add_library(MLIRSCFTransformOps STATIC IMPORTED)

set_target_properties(MLIRSCFTransformOps PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRFuncDialect;MLIRIR;MLIRPDLDialect;MLIRSCFDialect;MLIRSCFTransforms;MLIRSCFUtils;MLIRTransformDialect;MLIRVectorDialect;LLVM"
)

# Create imported target MLIRSCFTransforms
add_library(MLIRSCFTransforms STATIC IMPORTED)

set_target_properties(MLIRSCFTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRAffineAnalysis;MLIRArithmeticDialect;MLIRBufferizationDialect;MLIRBufferizationTransforms;MLIRDialectUtils;MLIRIR;MLIRMemRefDialect;MLIRPass;MLIRSCFDialect;MLIRSCFUtils;MLIRSupport;MLIRTensorDialect;MLIRTensorTransforms;MLIRTilingInterface;MLIRTransforms;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRSCFUtils
add_library(MLIRSCFUtils STATIC IMPORTED)

set_target_properties(MLIRSCFUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRAffineAnalysis;MLIRAnalysis;MLIRArithmeticDialect;MLIRDialectUtils;MLIRFuncDialect;MLIRIR;MLIRSCFDialect;MLIRSupport;MLIRTransforms;LLVM"
)

# Create imported target MLIRShapeDialect
add_library(MLIRShapeDialect STATIC IMPORTED)

set_target_properties(MLIRShapeDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRCallInterfaces;MLIRCastInterfaces;MLIRControlFlowInterfaces;MLIRDialect;MLIRFuncDialect;MLIRInferTypeOpInterface;MLIRIR;MLIRSideEffectInterfaces;MLIRTensorDialect;LLVM"
)

# Create imported target MLIRShapeOpsTransforms
add_library(MLIRShapeOpsTransforms STATIC IMPORTED)

set_target_properties(MLIRShapeOpsTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "LLVM;MLIRArithmeticDialect;MLIRBufferizationDialect;MLIRBufferizationTransforms;MLIRIR;MLIRMemRefDialect;MLIRPass;MLIRShapeDialect;MLIRSupport;MLIRTransforms"
)

# Create imported target MLIRSparseTensorDialect
add_library(MLIRSparseTensorDialect STATIC IMPORTED)

set_target_properties(MLIRSparseTensorDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRDialect;MLIRIR;MLIRInferTypeOpInterface;MLIRSupport;LLVM"
)

# Create imported target MLIRSparseTensorTransforms
add_library(MLIRSparseTensorTransforms STATIC IMPORTED)

set_target_properties(MLIRSparseTensorTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRBufferizationDialect;MLIRBufferizationTransforms;MLIRComplexDialect;MLIRFuncDialect;MLIRIR;MLIRLLVMDialect;MLIRLinalgDialect;MLIRLinalgTransforms;MLIRMemRefDialect;MLIRPass;MLIRSCFDialect;MLIRSCFTransforms;MLIRSCFUtils;MLIRSparseTensorDialect;MLIRSparseTensorUtils;MLIRTensorDialect;MLIRTransforms;MLIRVectorDialect;LLVM"
)

# Create imported target MLIRSparseTensorPipelines
add_library(MLIRSparseTensorPipelines STATIC IMPORTED)

set_target_properties(MLIRSparseTensorPipelines PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticTransforms;MLIRAffineToStandard;MLIRBufferizationTransforms;MLIRComplexToLLVM;MLIRComplexToLibm;MLIRComplexToStandard;MLIRFuncTransforms;MLIRLinalgTransforms;MLIRMathToLibm;MLIRMathToLLVM;MLIRMemRefToLLVM;MLIRPass;MLIRReconcileUnrealizedCasts;MLIRSCFToControlFlow;MLIRSparseTensorDialect;MLIRSparseTensorTransforms;MLIRTensorTransforms;MLIRVectorToLLVM;MLIRVectorTransforms;LLVM"
)

# Create imported target MLIRSparseTensorUtils
add_library(MLIRSparseTensorUtils STATIC IMPORTED)

set_target_properties(MLIRSparseTensorUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRComplexDialect;MLIRIR;MLIRLinalgDialect;LLVM"
)

# Create imported target MLIRSPIRVDialect
add_library(MLIRSPIRVDialect STATIC IMPORTED)

set_target_properties(MLIRSPIRVDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRControlFlowInterfaces;MLIRIR;MLIRParser;MLIRSideEffectInterfaces;MLIRSupport;MLIRTransforms;LLVM"
)

# Create imported target MLIRSPIRVModuleCombiner
add_library(MLIRSPIRVModuleCombiner STATIC IMPORTED)

set_target_properties(MLIRSPIRVModuleCombiner PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSPIRVDialect;MLIRSupport;LLVM"
)

# Create imported target MLIRSPIRVConversion
add_library(MLIRSPIRVConversion STATIC IMPORTED)

set_target_properties(MLIRSPIRVConversion PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRFuncDialect;MLIRSPIRVDialect;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRSPIRVTransforms
add_library(MLIRSPIRVTransforms STATIC IMPORTED)

set_target_properties(MLIRSPIRVTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRPass;MLIRSPIRVConversion;MLIRSPIRVUtils;LLVM"
)

# Create imported target MLIRSPIRVUtils
add_library(MLIRSPIRVUtils STATIC IMPORTED)

set_target_properties(MLIRSPIRVUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRSPIRVDialect;LLVM"
)

# Create imported target MLIRTensorDialect
add_library(MLIRTensorDialect STATIC IMPORTED)

set_target_properties(MLIRTensorDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRArithmeticUtils;MLIRCastInterfaces;MLIRComplexDialect;MLIRDialectUtils;MLIRIR;MLIRInferTypeOpInterface;MLIRParallelCombiningOpInterface;MLIRSideEffectInterfaces;MLIRSupport;MLIRViewLikeInterface;LLVM"
)

# Create imported target MLIRTensorInferTypeOpInterfaceImpl
add_library(MLIRTensorInferTypeOpInterfaceImpl STATIC IMPORTED)

set_target_properties(MLIRTensorInferTypeOpInterfaceImpl PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRIR;MLIRInferTypeOpInterface;MLIRSupport;MLIRTensorDialect;LLVM"
)

# Create imported target MLIRTensorTilingInterfaceImpl
add_library(MLIRTensorTilingInterfaceImpl STATIC IMPORTED)

set_target_properties(MLIRTensorTilingInterfaceImpl PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRIR;MLIRLinalgDialect;MLIRSCFDialect;MLIRSupport;MLIRTensorDialect;MLIRTilingInterface;LLVM"
)

# Create imported target MLIRTensorTransforms
add_library(MLIRTensorTransforms STATIC IMPORTED)

set_target_properties(MLIRTensorTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRBufferizationDialect;MLIRBufferizationTransforms;MLIRIR;MLIRMemRefDialect;MLIRPass;MLIRSCFDialect;MLIRTensorDialect;MLIRTilingInterface;MLIRTransforms;LLVM"
)

# Create imported target MLIRTensorUtils
add_library(MLIRTensorUtils STATIC IMPORTED)

set_target_properties(MLIRTensorUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRArithmeticDialect;MLIRIR;MLIRTensorDialect;LLVM"
)

# Create imported target MLIRTosaDialect
add_library(MLIRTosaDialect STATIC IMPORTED)

set_target_properties(MLIRTosaDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRDialect;MLIRCallInterfaces;MLIRControlFlowInterfaces;MLIRQuantDialect;MLIRQuantUtils;MLIRSideEffectInterfaces;MLIRTensorDialect;MLIRViewLikeInterface;LLVM"
)

# Create imported target MLIRTosaTransforms
add_library(MLIRTosaTransforms STATIC IMPORTED)

set_target_properties(MLIRTosaTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRFuncDialect;MLIRPass;MLIRTosaDialect;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRTransformDialect
add_library(MLIRTransformDialect STATIC IMPORTED)

set_target_properties(MLIRTransformDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRPDLDialect;MLIRPDLInterpDialect;MLIRRewrite;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRTransformDialectTransforms
add_library(MLIRTransformDialectTransforms STATIC IMPORTED)

set_target_properties(MLIRTransformDialectTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRTransformDialect;MLIRIR;MLIRPass;LLVM"
)

# Create imported target MLIRDialectUtils
add_library(MLIRDialectUtils STATIC IMPORTED)

set_target_properties(MLIRDialectUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRVectorDialect
add_library(MLIRVectorDialect STATIC IMPORTED)

set_target_properties(MLIRVectorDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRControlFlowInterfaces;MLIRDataLayoutInterfaces;MLIRDialectUtils;MLIRIR;MLIRMemRefDialect;MLIRSideEffectInterfaces;MLIRTensorDialect;MLIRVectorInterfaces;LLVM"
)

# Create imported target MLIRVectorTransforms
add_library(MLIRVectorTransforms STATIC IMPORTED)

set_target_properties(MLIRVectorTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRAffineAnalysis;MLIRAffineUtils;MLIRArithmeticDialect;MLIRBufferizationDialect;MLIRBufferizationTransforms;MLIRDialectUtils;MLIRGPUOps;MLIRIR;MLIRLinalgDialect;MLIRMemRefDialect;MLIRSCFDialect;MLIRTransforms;MLIRVectorDialect;MLIRVectorInterfaces;MLIRVectorUtils;LLVM"
)

# Create imported target MLIRVectorUtils
add_library(MLIRVectorUtils STATIC IMPORTED)

set_target_properties(MLIRVectorUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineDialect;MLIRAffineAnalysis;MLIRArithmeticDialect;MLIRDialectUtils;MLIRFuncDialect;MLIRIR;MLIRMemRefDialect;MLIRTensorDialect;MLIRVectorDialect;MLIRVectorInterfaces;LLVM"
)

# Create imported target MLIRX86VectorDialect
add_library(MLIRX86VectorDialect STATIC IMPORTED)

set_target_properties(MLIRX86VectorDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMDialect;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRX86VectorTransforms
add_library(MLIRX86VectorTransforms STATIC IMPORTED)

set_target_properties(MLIRX86VectorTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRX86VectorDialect;MLIRIR;MLIRLLVMCommonConversion;MLIRLLVMDialect;MLIRVectorDialect;LLVM"
)

# Create imported target MLIRDialect
add_library(MLIRDialect STATIC IMPORTED)

set_target_properties(MLIRDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRIR
add_library(MLIRIR STATIC IMPORTED)

set_target_properties(MLIRIR PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRSupport;LLVM"
)

# Create imported target MLIRCallInterfaces
add_library(MLIRCallInterfaces STATIC IMPORTED)

set_target_properties(MLIRCallInterfaces PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRCastInterfaces
add_library(MLIRCastInterfaces STATIC IMPORTED)

set_target_properties(MLIRCastInterfaces PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRControlFlowInterfaces
add_library(MLIRControlFlowInterfaces STATIC IMPORTED)

set_target_properties(MLIRControlFlowInterfaces PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRCopyOpInterface
add_library(MLIRCopyOpInterface STATIC IMPORTED)

set_target_properties(MLIRCopyOpInterface PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRDataLayoutInterfaces
add_library(MLIRDataLayoutInterfaces STATIC IMPORTED)

set_target_properties(MLIRDataLayoutInterfaces PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRDerivedAttributeOpInterface
add_library(MLIRDerivedAttributeOpInterface STATIC IMPORTED)

set_target_properties(MLIRDerivedAttributeOpInterface PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRInferIntRangeInterface
add_library(MLIRInferIntRangeInterface STATIC IMPORTED)

set_target_properties(MLIRInferIntRangeInterface PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRInferTypeOpInterface
add_library(MLIRInferTypeOpInterface STATIC IMPORTED)

set_target_properties(MLIRInferTypeOpInterface PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRParallelCombiningOpInterface
add_library(MLIRParallelCombiningOpInterface STATIC IMPORTED)

set_target_properties(MLIRParallelCombiningOpInterface PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRSideEffectInterfaces
add_library(MLIRSideEffectInterfaces STATIC IMPORTED)

set_target_properties(MLIRSideEffectInterfaces PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRTilingInterface
add_library(MLIRTilingInterface STATIC IMPORTED)

set_target_properties(MLIRTilingInterface PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRVectorInterfaces
add_library(MLIRVectorInterfaces STATIC IMPORTED)

set_target_properties(MLIRVectorInterfaces PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRViewLikeInterface
add_library(MLIRViewLikeInterface STATIC IMPORTED)

set_target_properties(MLIRViewLikeInterface PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRLoopLikeInterface
add_library(MLIRLoopLikeInterface STATIC IMPORTED)

set_target_properties(MLIRLoopLikeInterface PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;LLVM"
)

# Create imported target MLIRParser
add_library(MLIRParser STATIC IMPORTED)

set_target_properties(MLIRParser PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAsmParser;MLIRIR;LLVM"
)

# Create imported target MLIRPass
add_library(MLIRPass STATIC IMPORTED)

set_target_properties(MLIRPass PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAnalysis;MLIRIR;LLVM"
)

# Create imported target MLIRReduce
add_library(MLIRReduce STATIC IMPORTED)

set_target_properties(MLIRReduce PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRPass;MLIRRewrite;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRRewrite
add_library(MLIRRewrite STATIC IMPORTED)

set_target_properties(MLIRRewrite PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRPDLDialect;MLIRPDLInterpDialect;MLIRPDLToPDLInterp;MLIRSideEffectInterfaces;LLVM"
)

# Create imported target MLIRSupport
add_library(MLIRSupport STATIC IMPORTED)

set_target_properties(MLIRSupport PROPERTIES
  INTERFACE_LINK_LIBRARIES "LLVM"
)

# Create imported target MLIRTableGen
add_library(MLIRTableGen STATIC IMPORTED)

# Create imported target MLIRTargetCpp
add_library(MLIRTargetCpp STATIC IMPORTED)

set_target_properties(MLIRTargetCpp PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArithmeticDialect;MLIRControlFlowDialect;MLIREmitCDialect;MLIRFuncDialect;MLIRIR;MLIRMathDialect;MLIRSCFDialect;MLIRSupport;MLIRTranslateLib;LLVM"
)

# Create imported target MLIRSPIRVDeserialization
add_library(MLIRSPIRVDeserialization STATIC IMPORTED)

set_target_properties(MLIRSPIRVDeserialization PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSPIRVDialect;MLIRSPIRVBinaryUtils;MLIRSupport;MLIRTranslateLib;LLVM"
)

# Create imported target MLIRSPIRVSerialization
add_library(MLIRSPIRVSerialization STATIC IMPORTED)

set_target_properties(MLIRSPIRVSerialization PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSPIRVDialect;MLIRSPIRVBinaryUtils;MLIRSupport;MLIRTranslateLib;LLVM"
)

# Create imported target MLIRSPIRVBinaryUtils
add_library(MLIRSPIRVBinaryUtils STATIC IMPORTED)

set_target_properties(MLIRSPIRVBinaryUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSPIRVDialect;MLIRSupport;LLVM"
)

# Create imported target MLIRSPIRVTranslateRegistration
add_library(MLIRSPIRVTranslateRegistration STATIC IMPORTED)

set_target_properties(MLIRSPIRVTranslateRegistration PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRSPIRVDialect;MLIRSPIRVSerialization;MLIRSPIRVDeserialization;MLIRSupport;MLIRTranslateLib;LLVM"
)

# Create imported target MLIRArmNeonToLLVMIRTranslation
add_library(MLIRArmNeonToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIRArmNeonToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArmNeonDialect;MLIRIR;MLIRLLVMDialect;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRArmSVEToLLVMIRTranslation
add_library(MLIRArmSVEToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIRArmSVEToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRArmSVEDialect;MLIRLLVMDialect;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRAMXToLLVMIRTranslation
add_library(MLIRAMXToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIRAMXToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRAMXDialect;MLIRLLVMDialect;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRLLVMToLLVMIRTranslation
add_library(MLIRLLVMToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIRLLVMToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMDialect;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRNVVMToLLVMIRTranslation
add_library(MLIRNVVMToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIRNVVMToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMDialect;MLIRNVVMDialect;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIROpenACCToLLVMIRTranslation
add_library(MLIROpenACCToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIROpenACCToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMDialect;MLIROpenACCDialect;MLIROpenACCToLLVM;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIROpenMPToLLVMIRTranslation
add_library(MLIROpenMPToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIROpenMPToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMDialect;MLIROpenMPDialect;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRROCDLToLLVMIRTranslation
add_library(MLIRROCDLToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIRROCDLToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLLVMDialect;MLIRROCDLDialect;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRX86VectorToLLVMIRTranslation
add_library(MLIRX86VectorToLLVMIRTranslation STATIC IMPORTED)

set_target_properties(MLIRX86VectorToLLVMIRTranslation PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRX86VectorDialect;MLIRLLVMDialect;MLIRSupport;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRTargetLLVMIRExport
add_library(MLIRTargetLLVMIRExport STATIC IMPORTED)

set_target_properties(MLIRTargetLLVMIRExport PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRDLTIDialect;MLIRLLVMDialect;MLIRLLVMIRTransforms;MLIRTranslateLib;LLVM"
)

# Create imported target MLIRToLLVMIRTranslationRegistration
add_library(MLIRToLLVMIRTranslationRegistration STATIC IMPORTED)

set_target_properties(MLIRToLLVMIRTranslationRegistration PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRArmNeonToLLVMIRTranslation;MLIRArmSVEToLLVMIRTranslation;MLIRAMXToLLVMIRTranslation;MLIRX86VectorToLLVMIRTranslation;MLIRLLVMToLLVMIRTranslation;MLIRNVVMToLLVMIRTranslation;MLIROpenACCToLLVMIRTranslation;MLIROpenMPToLLVMIRTranslation;MLIRROCDLToLLVMIRTranslation;LLVM"
)

# Create imported target MLIRTargetLLVMIRImport
add_library(MLIRTargetLLVMIRImport STATIC IMPORTED)

set_target_properties(MLIRTargetLLVMIRImport PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRDLTIDialect;MLIRLLVMDialect;MLIRTranslateLib;LLVM"
)

# Create imported target MLIRLspServerSupportLib
add_library(MLIRLspServerSupportLib STATIC IMPORTED)

set_target_properties(MLIRLspServerSupportLib PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRSupport;LLVM"
)

# Create imported target MLIRLspServerLib
add_library(MLIRLspServerLib STATIC IMPORTED)

set_target_properties(MLIRLspServerLib PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRLspServerSupportLib;MLIRParser;LLVM"
)

# Create imported target MLIROptLib
add_library(MLIROptLib STATIC IMPORTED)

set_target_properties(MLIROptLib PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRPass;MLIRParser;MLIRSupport;LLVM"
)

# Create imported target MLIRReduceLib
add_library(MLIRReduceLib STATIC IMPORTED)

set_target_properties(MLIRReduceLib PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRParser;MLIRPass;MLIRReduce;MLIRSupport;LLVM"
)

# Create imported target MLIRTranslateLib
add_library(MLIRTranslateLib STATIC IMPORTED)

set_target_properties(MLIRTranslateLib PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRParser;LLVM"
)

# Create imported target MLIRPDLLAST
add_library(MLIRPDLLAST STATIC IMPORTED)

set_target_properties(MLIRPDLLAST PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRPDLLODS;MLIRSupport;LLVM"
)

# Create imported target MLIRPDLLCodeGen
add_library(MLIRPDLLCodeGen STATIC IMPORTED)

set_target_properties(MLIRPDLLCodeGen PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRParser;MLIRPDLLAST;MLIRPDLDialect;MLIRSupport;LLVM"
)

# Create imported target MLIRPDLLODS
add_library(MLIRPDLLODS STATIC IMPORTED)

set_target_properties(MLIRPDLLODS PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRSupport;LLVM"
)

# Create imported target MLIRTransformUtils
add_library(MLIRTransformUtils STATIC IMPORTED)

set_target_properties(MLIRTransformUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAnalysis;MLIRLoopLikeInterface;MLIRRewrite;LLVM"
)

# Create imported target MLIRTransforms
add_library(MLIRTransforms STATIC IMPORTED)

set_target_properties(MLIRTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAnalysis;MLIRCopyOpInterface;MLIRLoopLikeInterface;MLIRPass;MLIRSupport;MLIRTransformUtils;LLVM"
)

# Create imported target MLIRExecutionEngineUtils
add_library(MLIRExecutionEngineUtils STATIC IMPORTED)

set_target_properties(MLIRExecutionEngineUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "LLVM"
)

# Create imported target MLIRExecutionEngine
add_library(MLIRExecutionEngine STATIC IMPORTED)

set_target_properties(MLIRExecutionEngine PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRExecutionEngineUtils;MLIRLLVMDialect;MLIRLLVMToLLVMIRTranslation;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target MLIRJitRunner
add_library(MLIRJitRunner STATIC IMPORTED)

set_target_properties(MLIRJitRunner PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineAnalysis;MLIRAffineDialect;MLIRAffineTransforms;MLIRAffineUtils;MLIRAMDGPUDialect;MLIRArithmeticDialect;MLIRArithmeticTransforms;MLIRArithmeticUtils;MLIRArmNeonDialect;MLIRArmSVEDialect;MLIRArmSVETransforms;MLIRAsyncDialect;MLIRAsyncTransforms;MLIRAMXDialect;MLIRAMXTransforms;MLIRBufferizationDialect;MLIRBufferizationTransformOps;MLIRBufferizationTransforms;MLIRComplexDialect;MLIRControlFlowDialect;MLIRDLTIDialect;MLIREmitCDialect;MLIRFuncDialect;MLIRFuncTransforms;MLIRGPUOps;MLIRGPUTransforms;MLIRLinalgAnalysis;MLIRLinalgDialect;MLIRLinalgTransformOps;MLIRLinalgTransforms;MLIRLinalgUtils;MLIRLLVMIRTransforms;MLIRLLVMDialect;MLIRNVVMDialect;MLIRROCDLDialect;MLIRMathDialect;MLIRMathTransforms;MLIRMemRefDialect;MLIRMemRefTransforms;MLIRMemRefUtils;MLIRMLProgramDialect;MLIRNVGPUDialect;MLIRNVGPUTransforms;MLIROpenACCDialect;MLIROpenMPDialect;MLIRPDLDialect;MLIRPDLInterpDialect;MLIRQuantDialect;MLIRQuantTransforms;MLIRQuantUtils;MLIRSCFDialect;MLIRSCFTransformOps;MLIRSCFTransforms;MLIRSCFUtils;MLIRShapeDialect;MLIRShapeOpsTransforms;MLIRSparseTensorDialect;MLIRSparseTensorTransforms;MLIRSparseTensorPipelines;MLIRSparseTensorUtils;MLIRSPIRVDialect;MLIRSPIRVModuleCombiner;MLIRSPIRVConversion;MLIRSPIRVTransforms;MLIRSPIRVUtils;MLIRTensorDialect;MLIRTensorInferTypeOpInterfaceImpl;MLIRTensorTilingInterfaceImpl;MLIRTensorTransforms;MLIRTensorUtils;MLIRTosaDialect;MLIRTosaTransforms;MLIRTransformDialect;MLIRTransformDialectTransforms;MLIRVectorDialect;MLIRVectorTransforms;MLIRVectorUtils;MLIRX86VectorDialect;MLIRX86VectorTransforms;MLIRExecutionEngine;MLIRFuncDialect;MLIRFuncToLLVM;MLIRIR;MLIRParser;MLIRLLVMToLLVMIRTranslation;MLIRTargetLLVMIRExport;MLIRTransforms;MLIRSupport;LLVM"
)

# Create imported target mlir_c_runner_utils
add_library(mlir_c_runner_utils SHARED IMPORTED)

# Create imported target mlir_runner_utils
add_library(mlir_runner_utils SHARED IMPORTED)

# Create imported target mlir_async_runtime
add_library(mlir_async_runtime SHARED IMPORTED)

set_target_properties(mlir_async_runtime PROPERTIES
  INTERFACE_LINK_LIBRARIES "LLVM"
)

# Create imported target MLIRCAPIDebug
add_library(MLIRCAPIDebug STATIC IMPORTED)

set_target_properties(MLIRCAPIDebug PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRSupport;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRSupport;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPIDebug"
)

# Create imported target obj.MLIRCAPIDebug
add_library(obj.MLIRCAPIDebug OBJECT IMPORTED)

# Create imported target MLIRCAPIAsync
add_library(MLIRCAPIAsync STATIC IMPORTED)

set_target_properties(MLIRCAPIAsync PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRAsyncDialect;MLIRAsyncTransforms;MLIRPass;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRCAPIIR;MLIRAsyncDialect;MLIRAsyncTransforms;MLIRPass;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPIAsync"
)

# Create imported target obj.MLIRCAPIAsync
add_library(obj.MLIRCAPIAsync OBJECT IMPORTED)

# Create imported target MLIRCAPIControlFlow
add_library(MLIRCAPIControlFlow STATIC IMPORTED)

set_target_properties(MLIRCAPIControlFlow PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRControlFlowDialect;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRCAPIIR;MLIRControlFlowDialect;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPIControlFlow"
)

# Create imported target obj.MLIRCAPIControlFlow
add_library(obj.MLIRCAPIControlFlow OBJECT IMPORTED)

# Create imported target MLIRCAPIGPU
add_library(MLIRCAPIGPU STATIC IMPORTED)

set_target_properties(MLIRCAPIGPU PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRGPUTransforms;MLIRPass;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRCAPIIR;MLIRGPUTransforms;MLIRPass;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPIGPU"
)

# Create imported target obj.MLIRCAPIGPU
add_library(obj.MLIRCAPIGPU OBJECT IMPORTED)

# Create imported target MLIRCAPILLVM
add_library(MLIRCAPILLVM STATIC IMPORTED)

set_target_properties(MLIRCAPILLVM PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRLLVMDialect;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRCAPIIR;MLIRLLVMDialect;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPILLVM"
)

# Create imported target obj.MLIRCAPILLVM
add_library(obj.MLIRCAPILLVM OBJECT IMPORTED)

# Create imported target MLIRCAPILinalg
add_library(MLIRCAPILinalg STATIC IMPORTED)

set_target_properties(MLIRCAPILinalg PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRLinalgDialect;MLIRPass;MLIRLinalgTransforms;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRCAPIIR;MLIRLinalgDialect;MLIRPass;MLIRLinalgTransforms;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPILinalg"
)

# Create imported target obj.MLIRCAPILinalg
add_library(obj.MLIRCAPILinalg OBJECT IMPORTED)

# Create imported target MLIRCAPISCF
add_library(MLIRCAPISCF STATIC IMPORTED)

set_target_properties(MLIRCAPISCF PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRSCFDialect;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRCAPIIR;MLIRSCFDialect;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPISCF"
)

# Create imported target obj.MLIRCAPISCF
add_library(obj.MLIRCAPISCF OBJECT IMPORTED)

# Create imported target MLIRCAPIShape
add_library(MLIRCAPIShape STATIC IMPORTED)

set_target_properties(MLIRCAPIShape PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRShapeDialect;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRCAPIIR;MLIRShapeDialect;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPIShape"
)

# Create imported target obj.MLIRCAPIShape
add_library(obj.MLIRCAPIShape OBJECT IMPORTED)

# Create imported target MLIRCAPISparseTensor
add_library(MLIRCAPISparseTensor STATIC IMPORTED)

set_target_properties(MLIRCAPISparseTensor PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRSparseTensorDialect;MLIRSparseTensorTransforms;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRCAPIIR;MLIRSparseTensorDialect;MLIRSparseTensorTransforms;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPISparseTensor"
)

# Create imported target obj.MLIRCAPISparseTensor
add_library(obj.MLIRCAPISparseTensor OBJECT IMPORTED)

# Create imported target MLIRCAPIFunc
add_library(MLIRCAPIFunc STATIC IMPORTED)

set_target_properties(MLIRCAPIFunc PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRFuncDialect;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRCAPIIR;MLIRFuncDialect;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPIFunc"
)

# Create imported target obj.MLIRCAPIFunc
add_library(obj.MLIRCAPIFunc OBJECT IMPORTED)

# Create imported target MLIRCAPITensor
add_library(MLIRCAPITensor STATIC IMPORTED)

set_target_properties(MLIRCAPITensor PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRTensorDialect;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRCAPIIR;MLIRTensorDialect;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPITensor"
)

# Create imported target obj.MLIRCAPITensor
add_library(obj.MLIRCAPITensor OBJECT IMPORTED)

# Create imported target MLIRCAPIQuant
add_library(MLIRCAPIQuant STATIC IMPORTED)

set_target_properties(MLIRCAPIQuant PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRQuantDialect;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRCAPIIR;MLIRQuantDialect;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPIQuant"
)

# Create imported target obj.MLIRCAPIQuant
add_library(obj.MLIRCAPIQuant OBJECT IMPORTED)

# Create imported target MLIRCAPIPDL
add_library(MLIRCAPIPDL STATIC IMPORTED)

set_target_properties(MLIRCAPIPDL PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRCAPIIR;MLIRPDLDialect;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRCAPIIR;MLIRPDLDialect;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPIPDL"
)

# Create imported target obj.MLIRCAPIPDL
add_library(obj.MLIRCAPIPDL OBJECT IMPORTED)

# Create imported target MLIRCAPIConversion
add_library(MLIRCAPIConversion STATIC IMPORTED)

set_target_properties(MLIRCAPIConversion PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineToStandard;MLIRAMDGPUToROCDL;MLIRArithmeticToLLVM;MLIRArithmeticToSPIRV;MLIRArmNeon2dToIntr;MLIRAsyncToLLVM;MLIRBufferizationToMemRef;MLIRComplexToLLVM;MLIRComplexToLibm;MLIRComplexToStandard;MLIRControlFlowToLLVM;MLIRControlFlowToSPIRV;MLIRFuncToLLVM;MLIRFuncToSPIRV;MLIRGPUToGPURuntimeTransforms;MLIRGPUToNVVMTransforms;MLIRGPUToROCDLTransforms;MLIRGPUToSPIRV;MLIRGPUToVulkanTransforms;MLIRLinalgToLLVM;MLIRLinalgToSPIRV;MLIRLinalgToStandard;MLIRLLVMCommonConversion;MLIRMathToLibm;MLIRMathToLLVM;MLIRMathToSPIRV;MLIRMemRefToLLVM;MLIRMemRefToSPIRV;MLIRNVGPUToNVVM;MLIROpenACCToLLVM;MLIROpenACCToSCF;MLIROpenMPToLLVM;MLIRPDLToPDLInterp;MLIRReconcileUnrealizedCasts;MLIRSCFToControlFlow;MLIRSCFToGPU;MLIRSCFToOpenMP;MLIRSCFToSPIRV;MLIRShapeToStandard;MLIRSPIRVToLLVM;MLIRTensorToLinalg;MLIRTensorToSPIRV;MLIRTosaToArith;MLIRTosaToLinalg;MLIRTosaToSCF;MLIRTosaToTensor;MLIRVectorToLLVM;MLIRVectorToGPU;MLIRVectorToSCF;MLIRVectorToSPIRV;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRAffineToStandard;MLIRAMDGPUToROCDL;MLIRArithmeticToLLVM;MLIRArithmeticToSPIRV;MLIRArmNeon2dToIntr;MLIRAsyncToLLVM;MLIRBufferizationToMemRef;MLIRComplexToLLVM;MLIRComplexToLibm;MLIRComplexToStandard;MLIRControlFlowToLLVM;MLIRControlFlowToSPIRV;MLIRFuncToLLVM;MLIRFuncToSPIRV;MLIRGPUToGPURuntimeTransforms;MLIRGPUToNVVMTransforms;MLIRGPUToROCDLTransforms;MLIRGPUToSPIRV;MLIRGPUToVulkanTransforms;MLIRLinalgToLLVM;MLIRLinalgToSPIRV;MLIRLinalgToStandard;MLIRLLVMCommonConversion;MLIRMathToLibm;MLIRMathToLLVM;MLIRMathToSPIRV;MLIRMemRefToLLVM;MLIRMemRefToSPIRV;MLIRNVGPUToNVVM;MLIROpenACCToLLVM;MLIROpenACCToSCF;MLIROpenMPToLLVM;MLIRPDLToPDLInterp;MLIRReconcileUnrealizedCasts;MLIRSCFToControlFlow;MLIRSCFToGPU;MLIRSCFToOpenMP;MLIRSCFToSPIRV;MLIRShapeToStandard;MLIRSPIRVToLLVM;MLIRTensorToLinalg;MLIRTensorToSPIRV;MLIRTosaToArith;MLIRTosaToLinalg;MLIRTosaToSCF;MLIRTosaToTensor;MLIRVectorToLLVM;MLIRVectorToGPU;MLIRVectorToSCF;MLIRVectorToSPIRV;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPIConversion"
)

# Create imported target obj.MLIRCAPIConversion
add_library(obj.MLIRCAPIConversion OBJECT IMPORTED)

# Create imported target MLIRCAPIInterfaces
add_library(MLIRCAPIInterfaces STATIC IMPORTED)

set_target_properties(MLIRCAPIInterfaces PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRInferTypeOpInterface;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRInferTypeOpInterface;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPIInterfaces"
)

# Create imported target obj.MLIRCAPIInterfaces
add_library(obj.MLIRCAPIInterfaces OBJECT IMPORTED)

# Create imported target MLIRCAPIIR
add_library(MLIRCAPIIR STATIC IMPORTED)

set_target_properties(MLIRCAPIIR PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRIR;MLIRParser;MLIRSupport;MLIRPass;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRIR;MLIRParser;MLIRSupport;MLIRPass;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPIIR"
)

# Create imported target obj.MLIRCAPIIR
add_library(obj.MLIRCAPIIR OBJECT IMPORTED)

# Create imported target MLIRCAPIRegisterEverything
add_library(MLIRCAPIRegisterEverything STATIC IMPORTED)

set_target_properties(MLIRCAPIRegisterEverything PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineAnalysis;MLIRAffineDialect;MLIRAffineTransforms;MLIRAffineUtils;MLIRAMDGPUDialect;MLIRArithmeticDialect;MLIRArithmeticTransforms;MLIRArithmeticUtils;MLIRArmNeonDialect;MLIRArmSVEDialect;MLIRArmSVETransforms;MLIRAsyncDialect;MLIRAsyncTransforms;MLIRAMXDialect;MLIRAMXTransforms;MLIRBufferizationDialect;MLIRBufferizationTransformOps;MLIRBufferizationTransforms;MLIRComplexDialect;MLIRControlFlowDialect;MLIRDLTIDialect;MLIREmitCDialect;MLIRFuncDialect;MLIRFuncTransforms;MLIRGPUOps;MLIRGPUTransforms;MLIRLinalgAnalysis;MLIRLinalgDialect;MLIRLinalgTransformOps;MLIRLinalgTransforms;MLIRLinalgUtils;MLIRLLVMIRTransforms;MLIRLLVMDialect;MLIRNVVMDialect;MLIRROCDLDialect;MLIRMathDialect;MLIRMathTransforms;MLIRMemRefDialect;MLIRMemRefTransforms;MLIRMemRefUtils;MLIRMLProgramDialect;MLIRNVGPUDialect;MLIRNVGPUTransforms;MLIROpenACCDialect;MLIROpenMPDialect;MLIRPDLDialect;MLIRPDLInterpDialect;MLIRQuantDialect;MLIRQuantTransforms;MLIRQuantUtils;MLIRSCFDialect;MLIRSCFTransformOps;MLIRSCFTransforms;MLIRSCFUtils;MLIRShapeDialect;MLIRShapeOpsTransforms;MLIRSparseTensorDialect;MLIRSparseTensorTransforms;MLIRSparseTensorPipelines;MLIRSparseTensorUtils;MLIRSPIRVDialect;MLIRSPIRVModuleCombiner;MLIRSPIRVConversion;MLIRSPIRVTransforms;MLIRSPIRVUtils;MLIRTensorDialect;MLIRTensorInferTypeOpInterfaceImpl;MLIRTensorTilingInterfaceImpl;MLIRTensorTransforms;MLIRTensorUtils;MLIRTosaDialect;MLIRTosaTransforms;MLIRTransformDialect;MLIRTransformDialectTransforms;MLIRVectorDialect;MLIRVectorTransforms;MLIRVectorUtils;MLIRX86VectorDialect;MLIRX86VectorTransforms;MLIRTargetCpp;MLIRSPIRVDeserialization;MLIRSPIRVSerialization;MLIRSPIRVBinaryUtils;MLIRSPIRVTranslateRegistration;MLIRArmNeonToLLVMIRTranslation;MLIRArmSVEToLLVMIRTranslation;MLIRAMXToLLVMIRTranslation;MLIRLLVMToLLVMIRTranslation;MLIRNVVMToLLVMIRTranslation;MLIROpenACCToLLVMIRTranslation;MLIROpenMPToLLVMIRTranslation;MLIRROCDLToLLVMIRTranslation;MLIRX86VectorToLLVMIRTranslation;MLIRTargetLLVMIRExport;MLIRToLLVMIRTranslationRegistration;MLIRTargetLLVMIRImport;MLIRAffineToStandard;MLIRAMDGPUToROCDL;MLIRArithmeticToLLVM;MLIRArithmeticToSPIRV;MLIRArmNeon2dToIntr;MLIRAsyncToLLVM;MLIRBufferizationToMemRef;MLIRComplexToLLVM;MLIRComplexToLibm;MLIRComplexToStandard;MLIRControlFlowToLLVM;MLIRControlFlowToSPIRV;MLIRFuncToLLVM;MLIRFuncToSPIRV;MLIRGPUToGPURuntimeTransforms;MLIRGPUToNVVMTransforms;MLIRGPUToROCDLTransforms;MLIRGPUToSPIRV;MLIRGPUToVulkanTransforms;MLIRLinalgToLLVM;MLIRLinalgToSPIRV;MLIRLinalgToStandard;MLIRLLVMCommonConversion;MLIRMathToLibm;MLIRMathToLLVM;MLIRMathToSPIRV;MLIRMemRefToLLVM;MLIRMemRefToSPIRV;MLIRNVGPUToNVVM;MLIROpenACCToLLVM;MLIROpenACCToSCF;MLIROpenMPToLLVM;MLIRPDLToPDLInterp;MLIRReconcileUnrealizedCasts;MLIRSCFToControlFlow;MLIRSCFToGPU;MLIRSCFToOpenMP;MLIRSCFToSPIRV;MLIRShapeToStandard;MLIRSPIRVToLLVM;MLIRTensorToLinalg;MLIRTensorToSPIRV;MLIRTosaToArith;MLIRTosaToLinalg;MLIRTosaToSCF;MLIRTosaToTensor;MLIRVectorToLLVM;MLIRVectorToGPU;MLIRVectorToSCF;MLIRVectorToSPIRV;MLIRCAPIIR;MLIRLLVMToLLVMIRTranslation;MLIRCAPITransforms;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRAffineAnalysis;MLIRAffineDialect;MLIRAffineTransforms;MLIRAffineUtils;MLIRAMDGPUDialect;MLIRArithmeticDialect;MLIRArithmeticTransforms;MLIRArithmeticUtils;MLIRArmNeonDialect;MLIRArmSVEDialect;MLIRArmSVETransforms;MLIRAsyncDialect;MLIRAsyncTransforms;MLIRAMXDialect;MLIRAMXTransforms;MLIRBufferizationDialect;MLIRBufferizationTransformOps;MLIRBufferizationTransforms;MLIRComplexDialect;MLIRControlFlowDialect;MLIRDLTIDialect;MLIREmitCDialect;MLIRFuncDialect;MLIRFuncTransforms;MLIRGPUOps;MLIRGPUTransforms;MLIRLinalgAnalysis;MLIRLinalgDialect;MLIRLinalgTransformOps;MLIRLinalgTransforms;MLIRLinalgUtils;MLIRLLVMIRTransforms;MLIRLLVMDialect;MLIRNVVMDialect;MLIRROCDLDialect;MLIRMathDialect;MLIRMathTransforms;MLIRMemRefDialect;MLIRMemRefTransforms;MLIRMemRefUtils;MLIRMLProgramDialect;MLIRNVGPUDialect;MLIRNVGPUTransforms;MLIROpenACCDialect;MLIROpenMPDialect;MLIRPDLDialect;MLIRPDLInterpDialect;MLIRQuantDialect;MLIRQuantTransforms;MLIRQuantUtils;MLIRSCFDialect;MLIRSCFTransformOps;MLIRSCFTransforms;MLIRSCFUtils;MLIRShapeDialect;MLIRShapeOpsTransforms;MLIRSparseTensorDialect;MLIRSparseTensorTransforms;MLIRSparseTensorPipelines;MLIRSparseTensorUtils;MLIRSPIRVDialect;MLIRSPIRVModuleCombiner;MLIRSPIRVConversion;MLIRSPIRVTransforms;MLIRSPIRVUtils;MLIRTensorDialect;MLIRTensorInferTypeOpInterfaceImpl;MLIRTensorTilingInterfaceImpl;MLIRTensorTransforms;MLIRTensorUtils;MLIRTosaDialect;MLIRTosaTransforms;MLIRTransformDialect;MLIRTransformDialectTransforms;MLIRVectorDialect;MLIRVectorTransforms;MLIRVectorUtils;MLIRX86VectorDialect;MLIRX86VectorTransforms;MLIRTargetCpp;MLIRSPIRVDeserialization;MLIRSPIRVSerialization;MLIRSPIRVBinaryUtils;MLIRSPIRVTranslateRegistration;MLIRArmNeonToLLVMIRTranslation;MLIRArmSVEToLLVMIRTranslation;MLIRAMXToLLVMIRTranslation;MLIRLLVMToLLVMIRTranslation;MLIRNVVMToLLVMIRTranslation;MLIROpenACCToLLVMIRTranslation;MLIROpenMPToLLVMIRTranslation;MLIRROCDLToLLVMIRTranslation;MLIRX86VectorToLLVMIRTranslation;MLIRTargetLLVMIRExport;MLIRToLLVMIRTranslationRegistration;MLIRTargetLLVMIRImport;MLIRAffineToStandard;MLIRAMDGPUToROCDL;MLIRArithmeticToLLVM;MLIRArithmeticToSPIRV;MLIRArmNeon2dToIntr;MLIRAsyncToLLVM;MLIRBufferizationToMemRef;MLIRComplexToLLVM;MLIRComplexToLibm;MLIRComplexToStandard;MLIRControlFlowToLLVM;MLIRControlFlowToSPIRV;MLIRFuncToLLVM;MLIRFuncToSPIRV;MLIRGPUToGPURuntimeTransforms;MLIRGPUToNVVMTransforms;MLIRGPUToROCDLTransforms;MLIRGPUToSPIRV;MLIRGPUToVulkanTransforms;MLIRLinalgToLLVM;MLIRLinalgToSPIRV;MLIRLinalgToStandard;MLIRLLVMCommonConversion;MLIRMathToLibm;MLIRMathToLLVM;MLIRMathToSPIRV;MLIRMemRefToLLVM;MLIRMemRefToSPIRV;MLIRNVGPUToNVVM;MLIROpenACCToLLVM;MLIROpenACCToSCF;MLIROpenMPToLLVM;MLIRPDLToPDLInterp;MLIRReconcileUnrealizedCasts;MLIRSCFToControlFlow;MLIRSCFToGPU;MLIRSCFToOpenMP;MLIRSCFToSPIRV;MLIRShapeToStandard;MLIRSPIRVToLLVM;MLIRTensorToLinalg;MLIRTensorToSPIRV;MLIRTosaToArith;MLIRTosaToLinalg;MLIRTosaToSCF;MLIRTosaToTensor;MLIRVectorToLLVM;MLIRVectorToGPU;MLIRVectorToSCF;MLIRVectorToSPIRV;MLIRCAPIIR;MLIRLLVMToLLVMIRTranslation;MLIRCAPITransforms;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPIRegisterEverything"
)

# Create imported target obj.MLIRCAPIRegisterEverything
add_library(obj.MLIRCAPIRegisterEverything OBJECT IMPORTED)

# Create imported target MLIRCAPITransforms
add_library(MLIRCAPITransforms STATIC IMPORTED)

set_target_properties(MLIRCAPITransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRTransforms;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRTransforms;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPITransforms"
)

# Create imported target obj.MLIRCAPITransforms
add_library(obj.MLIRCAPITransforms OBJECT IMPORTED)

# Create imported target MLIRCAPIExecutionEngine
add_library(MLIRCAPIExecutionEngine STATIC IMPORTED)

set_target_properties(MLIRCAPIExecutionEngine PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRExecutionEngine;MLIRLLVMToLLVMIRTranslation;LLVM"
  MLIR_AGGREGATE_DEP_LIBS_IMPORTED "MLIRExecutionEngine;MLIRLLVMToLLVMIRTranslation;LLVM"
  MLIR_AGGREGATE_OBJECT_LIB_IMPORTED "obj.MLIRCAPIExecutionEngine"
)

# Create imported target obj.MLIRCAPIExecutionEngine
add_library(obj.MLIRCAPIExecutionEngine OBJECT IMPORTED)

# Create imported target MLIRMlirOptMain
add_library(MLIRMlirOptMain STATIC IMPORTED)

set_target_properties(MLIRMlirOptMain PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffineAnalysis;MLIRAffineDialect;MLIRAffineTransforms;MLIRAffineUtils;MLIRAMDGPUDialect;MLIRArithmeticDialect;MLIRArithmeticTransforms;MLIRArithmeticUtils;MLIRArmNeonDialect;MLIRArmSVEDialect;MLIRArmSVETransforms;MLIRAsyncDialect;MLIRAsyncTransforms;MLIRAMXDialect;MLIRAMXTransforms;MLIRBufferizationDialect;MLIRBufferizationTransformOps;MLIRBufferizationTransforms;MLIRComplexDialect;MLIRControlFlowDialect;MLIRDLTIDialect;MLIREmitCDialect;MLIRFuncDialect;MLIRFuncTransforms;MLIRGPUOps;MLIRGPUTransforms;MLIRLinalgAnalysis;MLIRLinalgDialect;MLIRLinalgTransformOps;MLIRLinalgTransforms;MLIRLinalgUtils;MLIRLLVMIRTransforms;MLIRLLVMDialect;MLIRNVVMDialect;MLIRROCDLDialect;MLIRMathDialect;MLIRMathTransforms;MLIRMemRefDialect;MLIRMemRefTransforms;MLIRMemRefUtils;MLIRMLProgramDialect;MLIRNVGPUDialect;MLIRNVGPUTransforms;MLIROpenACCDialect;MLIROpenMPDialect;MLIRPDLDialect;MLIRPDLInterpDialect;MLIRQuantDialect;MLIRQuantTransforms;MLIRQuantUtils;MLIRSCFDialect;MLIRSCFTransformOps;MLIRSCFTransforms;MLIRSCFUtils;MLIRShapeDialect;MLIRShapeOpsTransforms;MLIRSparseTensorDialect;MLIRSparseTensorTransforms;MLIRSparseTensorPipelines;MLIRSparseTensorUtils;MLIRSPIRVDialect;MLIRSPIRVModuleCombiner;MLIRSPIRVConversion;MLIRSPIRVTransforms;MLIRSPIRVUtils;MLIRTensorDialect;MLIRTensorInferTypeOpInterfaceImpl;MLIRTensorTilingInterfaceImpl;MLIRTensorTransforms;MLIRTensorUtils;MLIRTosaDialect;MLIRTosaTransforms;MLIRTransformDialect;MLIRTransformDialectTransforms;MLIRVectorDialect;MLIRVectorTransforms;MLIRVectorUtils;MLIRX86VectorDialect;MLIRX86VectorTransforms;MLIRAffineToStandard;MLIRAMDGPUToROCDL;MLIRArithmeticToLLVM;MLIRArithmeticToSPIRV;MLIRArmNeon2dToIntr;MLIRAsyncToLLVM;MLIRBufferizationToMemRef;MLIRComplexToLLVM;MLIRComplexToLibm;MLIRComplexToStandard;MLIRControlFlowToLLVM;MLIRControlFlowToSPIRV;MLIRFuncToLLVM;MLIRFuncToSPIRV;MLIRGPUToGPURuntimeTransforms;MLIRGPUToNVVMTransforms;MLIRGPUToROCDLTransforms;MLIRGPUToSPIRV;MLIRGPUToVulkanTransforms;MLIRLinalgToLLVM;MLIRLinalgToSPIRV;MLIRLinalgToStandard;MLIRLLVMCommonConversion;MLIRMathToLibm;MLIRMathToLLVM;MLIRMathToSPIRV;MLIRMemRefToLLVM;MLIRMemRefToSPIRV;MLIRNVGPUToNVVM;MLIROpenACCToLLVM;MLIROpenACCToSCF;MLIROpenMPToLLVM;MLIRPDLToPDLInterp;MLIRReconcileUnrealizedCasts;MLIRSCFToControlFlow;MLIRSCFToGPU;MLIRSCFToOpenMP;MLIRSCFToSPIRV;MLIRShapeToStandard;MLIRSPIRVToLLVM;MLIRTensorToLinalg;MLIRTensorToSPIRV;MLIRTosaToArith;MLIRTosaToLinalg;MLIRTosaToSCF;MLIRTosaToTensor;MLIRVectorToLLVM;MLIRVectorToGPU;MLIRVectorToSCF;MLIRVectorToSPIRV;MLIRAffineAnalysis;MLIRAnalysis;MLIRDialect;MLIROptLib;MLIRParser;MLIRPass;MLIRTransforms;MLIRTransformUtils;MLIRSupport;MLIRIR;LLVM"
)

# Create imported target MLIR
add_library(MLIR SHARED IMPORTED)

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/MLIRTargets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  if(CMAKE_VERSION VERSION_LESS "3.28"
      OR NOT DEFINED _cmake_import_check_xcframework_for_${_cmake_target}
      OR NOT IS_DIRECTORY "${_cmake_import_check_xcframework_for_${_cmake_target}}")
    foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
      if(NOT EXISTS "${_cmake_file}")
        message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
      endif()
    endforeach()
  endif()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# Make sure the targets which have been exported in some other
# export set exist.
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
foreach(_target "LLVM" )
  if(NOT TARGET "${_target}" )
    set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets "${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets} ${_target}")
  endif()
endforeach()

if(DEFINED ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
  if(CMAKE_FIND_PACKAGE_NAME)
    set( ${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
    set( ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  else()
    message(FATAL_ERROR "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  endif()
endif()
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
